from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XOrdinalSuffix(XInterface, Protocol):
    def getOrdinalSuffix(self, nNumber: int, aLocale: Locale) -> list[str]: ...
